import shell from "shelljs";
import fs from "fs";

import { copyFromTemplatesToProject } from "./templateHandlers.js";
import { resolve } from "path";

export const handleAuthModule = (projectName) =>
  new Promise(() => {
    shell.exec(
      `cd ${projectName} &&
      yarn add js-cookie swr axios react-hook-form yup @hookform/resolvers
    `,
      () => {
        copyFromTemplatesToProject(["auth"], projectName);

        const tsConfig = fs.readFileSync(`./${projectName}/tsconfig.json`);

        const parsedConfig = JSON.parse(tsConfig);

        fs.writeFileSync(
          `./${projectName}/tsconfig.json`,
          JSON.stringify({
            ...parsedConfig,
            compilerOptions: {
              ...parsedConfig.compilerOptions,
              paths: {
                ...parsedConfig.compilerOptions.paths,
                "@auth/*": ["./src/modules/auth/*"],
              },
            },
          })
        );

        resolve();
      }
    );
  });
